%code top {
/* Load config.h, and adjust to the compiler.
  We used to do it here, but each time we add a new line,
  we have to adjust all the line numbers in error messages.
  It's simpler to use a constant include to a varying file.  */
#include <testsuite.h>
}

%define api.prefix {x5_}
%locations %debug %language "c++"
%define parse.error verbose
%union
{
  int integer;
}
%{


  static int x5_lex (x5_::parser::semantic_type *lvalp, x5_::parser::location_type *llocp);
%}
%%
exp:
  'x' '1' { printf ("x1\n"); }
| 'x' '2' { printf ("x2\n"); }
| 'x' '3' { printf ("x3\n"); }
| 'x' '4' { printf ("x4\n"); }
| 'x' '5' { printf ("x5\n"); }
| 'x' '6' { printf ("x6\n"); }
| 'x' '7' { printf ("x7\n"); }
| 'x' '8' { printf ("x8\n"); }
| 'x' '9' { printf ("x9\n"); }
;

%%
/* A C++ error reporting function.  */
void
x5_::parser::error (const location_type& l, const std::string& m)
{
  std::cerr << l << ": " << m << '\n';
}
#include <assert.h>
static
int x5_lex (x5_::parser::semantic_type *lvalp, x5_::parser::location_type *llocp)
{
  static char const input[] = "x5";
  static size_t toknum = 0;
  int res;
  (void) lvalp;(void) llocp;
  assert (toknum < sizeof input / sizeof input[0]);
  res = input[toknum++];
  ;

  (*llocp).begin.line = (*llocp).end.line = 1;
  (*llocp).begin.column = (*llocp).end.column = (unsigned )toknum;
  return res;
}
